org.apache.ivy.core.check

## Interface CheckEngineSettings

All Superinterfaces:
  ParserSettings

All Known Implementing Classes:
  IvySettings

    public interface CheckEngineSettings
    extends ParserSettings

### Method Summary

Methods
`boolean` `doValidate()`
`DependencyResolver` `getResolver(java.lang.String resolvername)`

### Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings

`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getNamespace, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute, substitute`

### Method Detail

#### doValidate

    boolean doValidate()

#### getResolver

    DependencyResolver getResolver(java.lang.String resolvername)